ZNEW(1)

NAZWA
znew - konwertuje pliki .Z do plików .gz

SKŁADNIA
znew [ -ftv9PK] [ nazwa.Z ... ]

OPIS
Polecenie Znew dokonuje konwersji wszystkich plików w formacie .Z (utworzonych programem compress) do formatu .gz (utworzonych programem gzip). Aby wymusić ponowną kompresję pliku będącego już w formacie programu gzip, należy zmienić rozszerzenie nazwy tego pliku na .Z, a następnie użyć programu znew.

OPCJE

-f  Wymusza ponowną kompresję z formatu .Z do formatu .gz nawet, jeżeli plik .gz już istnieje

-t  Testuje nowy plik przed usunięciem oryginału.

-v  Pełna informacja. Wyświetla nazwę i procent, o jaki został zredukowany rozmiar każdego pliku.

-9  Używa najwolniejszej (lecz najbardziej wydajnej) kompresji.

-P  Używa przetwarzania potokowego, by zredukować zużycie przestrzeni dysku.

-K  Nie usuwa pliku .Z, jeżeli jest mniejszy od nowo utworzonego pliku .gz, implikuje -t.

ZOBACZ TAKŻE
gzip(1), zmore(1), zdiff(1), zgrep(1), zforce(1), gzexe(1), compress(1)

USTERKI
Jeśli użyje się opcji -P, to znew nie zachowuje pola daty/czasu pliku, jeżeli touch(1) nie obsługuje opcji -r oraz nie zachowuje uprawnień, jeżeli polecenie chmod(1) nie obsługuje opcji --reference.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Łukasz Kowalczyk <lukow@tempac.okwf.fuw.edu.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.